# Copyright (c) 2021-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---

# this is a list of container structure tests which
# are automatically run as part of the CI process
# Docs: https://github.com/GoogleContainerTools/container-structure-test
schemaVersion: "2.0.0"

# Warning - anything you ask to check will be read entirely
# into RAM, this includes whole directories.
fileExistenceTests:
  - name: "/opt/ci"
    path: "/opt/ci"

  - name: "check android sdk is installed"
    path: "$ANDROID_HOME/cmdline-tools/latest/bin/sdkmanager"

  - name: "check android ndk is installed"
    path: "$ANDROID_HOME/ndk/21.1.6352462/ndk-build"

commandTests:
  - name: "check sdkmanager version"
    command: "$ANDROID_HOME/tools/bin/sdkmanager"
    args: ["--version"]
    expectedOutput: ["26.1.1"]

  - name: "check android targets"
    command: "$ANDROID_HOME/tools/bin/avdmanager"
    args: ["list", "target"]
    expectedOutput: ["Name: Android API 29"]

  - name: "check dev tools are installed"
    command: "which"
    args:
      - make
      - ninja
      - java
      - gradle
      - npm
      - python
      - gcc
      - g++
